/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.TipoPuntoVenta;
import java.util.List;

/**
 * 
 * @author Administrador
 */
public interface TipoPuntoVentaService {

	public List<TipoPuntoVenta> obtenerTodos();
	
	public List<TipoPuntoVenta> obtenerTodosExceto(Short ... id);

	public TipoPuntoVenta obtenerID(Short id);

	public TipoPuntoVenta suscribir(TipoPuntoVenta entidad);

	public TipoPuntoVenta actualizacion(TipoPuntoVenta entidad);

	public void borrar(TipoPuntoVenta entidad);

	public List<TipoPuntoVenta> buscar(String desctipo);
}
